httpd-apreq-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ran...@apache.org
Subject svn commit: r408809 - /httpd/apreq/trunk/win32/Configure.pl
Date Tue, 23 May 2006 01:20:03 GMT
Author: randyk
Date: Mon May 22 18:20:03 2006
New Revision: 408809

URL: http://svn.apache.org/viewvc?rev=408809&view=rev
Log:
For Win32, check for existence of Archive::Tar and LWP::Simple if asked to fetch apxs, and
die if not available.

Modified:
    httpd/apreq/trunk/win32/Configure.pl

Modified: httpd/apreq/trunk/win32/Configure.pl
URL: http://svn.apache.org/viewvc/httpd/apreq/trunk/win32/Configure.pl?rev=408809&r1=408808&r2=408809&view=diff
==============================================================================
--- httpd/apreq/trunk/win32/Configure.pl (original)
+++ httpd/apreq/trunk/win32/Configure.pl Mon May 22 18:20:03 2006
@@ -8,9 +8,7 @@
 require Win32;
 use ExtUtils::MakeMaker;
 use File::Basename;
-use Archive::Tar;
 use File::Path;
-use LWP::Simple;
 my ($apache, $apxs, $debug, $help, $no_perl, $perl, $with_perl);
 my $VERSION = "2.08";
 my $result = GetOptions( 'with-apache2=s' => \$apache,
@@ -345,6 +343,15 @@
 }
 
 sub fetch_apxs {
+    eval {require Archive::Tar;};
+    if ($@) {
+        die "Need Archive::Tar installed in order to install apxs.";
+    }
+    eval {require LWP::Simple; import LWP::Simple qw(getstore is_success)};
+    if ($@) {
+        die "Need LWP::Simple installed in order to install apxs.";
+    }
+
     print << 'END';
 
 I could not find an apxs utility on your system, which is



Mime
View raw message